It's all about the answers!

Ask a question

JTS upgrade command fails


Venkat Raman (192) | asked May 25, 3:57 a.m.

 While upgrading JTS 7.0.2, upgrade command fails. It shows below message The jts upgrade failed at step 2. Correct the problem and run the script again starting at step 2.


Can Somebody assist with it?

 Caused by: Error : 406, Position : 0, Sql = CREATE TABLE URL ( ID NUMBER(20) GENERATED ALWAYS AS IDENTITY (START WITH 1) NOT NULL, URL VARCHAR(400) NOT NULL ) TABLESPACE VNF_32K, OriginalSql = CREATE TABLE URL ( ID NUMBER(20) GENERATED ALWAYS AS IDENTITY (START WITH 1) NOT NULL, URL VARCHAR(400) NOT NULL ) TABLESPACE VNF_32K, Error Msg = ORA-00406: COMPATIBLE parameter needs to be 12.0.0.0.0 or greater
ORA-00722: Feature "SQL identity columns"

at oracle.jdbc.driver.T4CTTIoer11.processError(T4CTTIoer11.java:498)
... 58 more
CRJAZ1728E A Repository Tools error occurred. For more information, see this log file: /user/rmdvibm/Installations/IBM/JazzTeamServer702/server/repotools-jts_upgradeWarehouse.log

One answer



permanent link
Bartosz Chrabski (2.9k11939) | answered May 25, 4:29 a.m.

 Venkat,


You Oracle version seems to be to old. What is the Oracle version because it should be at least 12.


Comments
Venkat Raman commented May 25, 5:11 a.m.

 Hi Bartosz, 


We are using Oracle DB version : Oracle 12.2.0.1


Bartosz Chrabski commented May 25, 5:17 a.m.

I suggest opening IBM ticket because on the forum no one will be able to help You with this. 

Your answer


Register or to post your answer.